(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4292,        123]
NotebookOptionsPosition[      2314,         62]
NotebookOutlinePosition[      4211,        119]
CellTagsIndexPosition[      4135,        114]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "DTDebugExecute ",
 StyleBox["(part of the DebugTrace package)",
  FontSize->12]
}], "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
  3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
  3.447390712625*^9}, {3.447390810796875*^9, 3.4473908173125*^9}, {
  3.447505157171875*^9, 3.447505160453125*^9}},
 CellTags->"DTDebugExecute"],

Cell["\<\
The DTDebugExecute function should be used after a notebook has been loaded \
into the debugger and executed to completion. It takes any command as \
argument, and executes it, pausing in the debugger if it calls a function \
previously loaded by the debugger. For example, after loading the toy example \
into the debugger, and executing it to completion, the following command \
would re-enter the debugger in the main function:\
\>", "Text",
 CellChangeTimes->{{3.447390957390625*^9, 3.447391254703125*^9}, {
  3.4475052054375*^9, 3.447505336328125*^9}, {3.44750537046875*^9, 
  3.44750548959375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DTDebugExecute", "[", 
   RowBox[{"CalculateLegendre", "[", "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.447505534828125*^9, 3.44750554528125*^9}}],

Cell["\<\
Step numbers start again from 1 for such subsequent executions, and will not \
therefore match the step numbers in the original debug session, which \
included the various initialisation steps. Successive calls to DTDebugExecute \
should match up however, provided changes to global variables, etc do not \
force changes to the execution path on subsequent runs. \
\>", "Text",
 CellChangeTimes->{{3.447505584421875*^9, 3.447505763328125*^9}, {
   3.447505812265625*^9, 3.447505833078125*^9}, 3.447505869421875*^9}]
}, Open  ]]
},
Saveable->False,
Selectable->True,
WindowSize->{717, 741},
WindowMargins->Automatic,
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> {2012, 12, 27, 18, 5, 14.671875`8.919060569256763}, "context" -> 
    "DebugTrace`", "keywords" -> {}, "index" -> True, "label" -> 
    "DebugTrace Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "DebugTrace Package", "status" -> "", "summary" -> 
    "DTDebugExecute[command] \[Dash] executes a command under control of the \
debugger. If the command executes code already loaded by DTRunDebugger, the \
debugger will be entered.", "synonyms" -> {}, "title" -> "DTDebugExecute", 
    "type" -> "Symbol", "uri" -> "DebugTrace/ref/DTDebugExecute"}, 
  "SearchTextTranslated" -> ""},
ShowCellLabel->False,
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "DTDebugExecute"->{
  Cell[567, 22, 393, 9, 85, "Chapter",
   CellTags->"DTDebugExecute"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"DTDebugExecute", 4040, 108}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 393, 9, 85, "Chapter",
 CellTags->"DTDebugExecute"],
Cell[963, 33, 614, 10, 71, "Text"],
Cell[1580, 45, 190, 4, 27, "Input"],
Cell[1773, 51, 525, 8, 55, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

