(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      3980,        121]
NotebookOptionsPosition[      1989,         60]
NotebookOutlinePosition[      3861,        116]
CellTagsIndexPosition[      3783,        111]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "DTDynamicResults ",
 StyleBox["(part of the DebugTrace package)",
  FontSize->12]
}], "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
  3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
  3.447390712625*^9}, {3.44985083403125*^9, 3.44985084346875*^9}},
 CellTags->"DTDynamicResults"],

Cell["\<\
This function is used only after switching on the recording of breakpoint \
information generated by dynamic calculations. It turns off the dynamic \
breakpoint recorder (if it is still active) and returns the list of dynamic \
breakpoint information. \
\>", "Text",
 CellChangeTimes->{{3.447389812859375*^9, 3.447389954421875*^9}, {
  3.449850896265625*^9, 3.449851045609375*^9}}],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<DebugTrace`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.447389980359375*^9, 3.44738998890625*^9}},
 CellLabel->"In[1]:="],

Cell[BoxData[
 RowBox[{"DTDynamicResults", "[", "]"}]], "Input",
 CellChangeTimes->{{3.447389961140625*^9, 3.447390014359375*^9}, {
  3.4498510941875*^9, 3.449851117328125*^9}}],

Cell["\<\
The option Keep->True may be used to prevent the clearing of this list \
internally.    \
\>", "Text",
 CellChangeTimes->{{3.447390025796875*^9, 3.447390076484375*^9}, {
  3.44985112584375*^9, 3.449851151375*^9}, {3.44985118665625*^9, 
  3.449851202328125*^9}, {3.449853103453125*^9, 3.449853105375*^9}}]
}, Open  ]]
},
Saveable->False,
Selectable->True,
WindowSize->{717, 741},
WindowMargins->Automatic,
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> {2012, 12, 27, 18, 5, 16.484375`8.969647431169294}, "context" -> 
    "DebugTrace`", "keywords" -> {}, "index" -> True, "label" -> 
    "DebugTrace Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "DebugTrace Package", "status" -> "", "summary" -> 
    "DTDynamicResults[opts] \[Dash] Returns list of debug output from dynamic \
computations. Use the option \"Keep\"->True to preserve this list", 
    "synonyms" -> {}, "title" -> "DTDynamicResults", "type" -> "Symbol", 
    "uri" -> "DebugTrace/ref/DTDynamicResults"}, "SearchTextTranslated" -> ""},
ShowCellLabel->False,
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "DTDynamicResults"->{
  Cell[567, 22, 348, 8, 85, "Chapter",
   CellTags->"DTDynamicResults"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"DTDynamicResults", 3686, 105}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 348, 8, 85, "Chapter",
 CellTags->"DTDynamicResults"],
Cell[918, 32, 391, 7, 39, "Text"],
Cell[1312, 41, 164, 3, 27, "Input"],
Cell[1479, 46, 177, 3, 27, "Input"],
Cell[1659, 51, 314, 6, 23, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

