(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4404,        138]
NotebookOptionsPosition[      2501,         76]
NotebookOutlinePosition[      4217,        130]
CellTagsIndexPosition[      4141,        125]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "DTLocalSymbols ",
 StyleBox["(part of the DebugTrace package)",
  FontSize->12]
}], "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
  3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
  3.447390712625*^9}, {3.447390810796875*^9, 3.4473908173125*^9}, {
  3.46168794225*^9, 3.46168794684375*^9}},
 CellTags->"DTLocalSymbols"],

Cell["\<\
The DTLocalSymbols function searches for the absolute names of all local \
variables of the given name. For example, suppose DebugTrace were paused \
inside some code with two active local symbols called tt:\
\>", "Text",
 CellChangeTimes->{{3.447390957390625*^9, 3.447391254703125*^9}, {
  3.461687955859375*^9, 3.461688073734375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DTLocalSymbols", "[", "tt", "]"}]], "Input",
 CellChangeTimes->{{3.461685551578125*^9, 3.46168556321875*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Variable \"\>", "\[InvisibleSpace]", "\<\"tt$1980\"\>", 
   "\[InvisibleSpace]", "\<\" within execution of function \"\>", 
   "\[InvisibleSpace]", "\<\"fx2\"\>"}],
  SequenceForm[
  "Variable ", "tt$1980", " within execution of function ", "fx2"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4616855638125*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Variable \"\>", "\[InvisibleSpace]", "\<\"tt$1956\"\>", 
   "\[InvisibleSpace]", "\<\" within execution of function \"\>", 
   "\[InvisibleSpace]", "\<\"fx1\"\>"}],
  SequenceForm[
  "Variable ", "tt$1956", " within execution of function ", "fx1"],
  Editable->False]], "Print",
 CellChangeTimes->{3.461685563828125*^9}]
}, Open  ]],

Cell["\<\
This function is most useful in situations in which several active local \
variables (or function arguments)  have the same name.\
\>", "Text",
 CellChangeTimes->{{3.44739130946875*^9, 3.447391385984375*^9}, {
  3.46168809528125*^9, 3.461688168171875*^9}}]
}, Open  ]]
},
Saveable->False,
Selectable->True,
WindowSize->{717, 741},
WindowMargins->Automatic,
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> {2012, 12, 27, 18, 5, 17.390625`8.99289013314277}, "context" -> 
    "DebugTrace`", "keywords" -> {}, "index" -> True, "label" -> 
    "DebugTrace Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "DebugTrace Package", "status" -> "", "summary" -> "", "synonyms" -> {}, 
    "title" -> "DTLocalSymbols", "type" -> "Symbol", "uri" -> 
    "DebugTrace/ref/DTLocalSymbols"}, "SearchTextTranslated" -> ""},
ShowCellLabel->False,
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "DTLocalSymbols"->{
  Cell[567, 22, 388, 9, 85, "Chapter",
   CellTags->"DTLocalSymbols"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"DTLocalSymbols", 4046, 119}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 388, 9, 85, "Chapter",
 CellTags->"DTLocalSymbols"],
Cell[958, 33, 346, 6, 39, "Text"],
Cell[CellGroupData[{
Cell[1329, 43, 133, 2, 27, "Input"],
Cell[1465, 47, 367, 8, 21, "Print"],
Cell[1835, 57, 369, 8, 21, "Print"]
}, Open  ]],
Cell[2219, 68, 266, 5, 23, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

