(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4445,        130]
NotebookOptionsPosition[      3998,        110]
NotebookOutlinePosition[      4387,        127]
CellTagsIndexPosition[      4344,        124]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Example program for use with the DebugTrace package", "Subtitle",
 CellChangeTimes->{{3.44277864534375*^9, 3.44277866853125*^9}}],

Cell["\<\
Note that the following code is meant only to illustrate the DebugTrace \
package.\
\>", "Text",
 CellChangeTimes->{{3.4427786893125*^9, 3.442778732703125*^9}, {
   3.44295067103125*^9, 3.442950672078125*^9}, {3.44301768875*^9, 
   3.443017774328125*^9}, {3.4488778984375*^9, 3.448877915453125*^9}, {
   3.4494897083125*^9, 3.44948978015625*^9}, 3.4494912796875*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"harm", "[", 
    RowBox[{"x_", ",", "a_", ",", "b_", ",", "c_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "ans", "}"}], ",", "\n", "    ", 
     RowBox[{
      RowBox[{"ans", "=", 
       RowBox[{"Sin", "[", "x", "]"}]}], ";", "\n", "    ", 
      RowBox[{"ans", "=", 
       RowBox[{"ans", "+", 
        RowBox[{"a", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"2", " ", "x"}], "]"}]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ans", "=", 
       RowBox[{"ans", "+", 
        RowBox[{"b", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"3", " ", "x"}], "]"}]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ans", "=", 
       RowBox[{"ans", "+", 
        RowBox[{"c", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"3", " ", "x"}], "]"}]}]}]}], ";", "\n", "    ", "ans"}]}], 
    "\n", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4494881253125*^9, 3.449488131453125*^9}, {
   3.449488200265625*^9, 3.449488338953125*^9}, 3.44948862646875*^9, 
   3.449488665*^9, 3.449491284640625*^9, {3.449496341234375*^9, 
   3.449496344734375*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Column", "[", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"harm", "[", 
         RowBox[{"y", ",", "a", ",", "b", ",", "c"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"-", "10."}], ",", "10."}], "}"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "400"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Button", "[", 
       RowBox[{"\"\<Play\>\"", ",", 
        RowBox[{"EmitSound", "[", 
         RowBox[{"Play", "[", 
          RowBox[{
           RowBox[{"harm", "[", 
            RowBox[{
             RowBox[{"2", " ", "\[Pi]", " ", "440.", "y"}], ",", "a", ",", 
             "b", ",", "c"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"y", ",", "0", ",", "2"}], "}"}]}], "]"}], "]"}]}], 
       "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "0.", ",", "0.5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "0.", ",", "0.5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "0.", ",", "0.5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.448996615578125*^9, 3.448996641171875*^9}, {
  3.449488086234375*^9, 3.449488092640625*^9}, {3.449488149265625*^9, 
  3.44948819146875*^9}, {3.44948836465625*^9, 3.449488387359375*^9}, {
  3.449488532484375*^9, 3.449488548*^9}, {3.449489807890625*^9, 
  3.449489887578125*^9}, {3.44949072525*^9, 3.4494907313125*^9}, {
  3.4494913315625*^9, 3.449491347296875*^9}, {3.449491439203125*^9, 
  3.44949161940625*^9}, {3.449491727765625*^9, 3.449491751765625*^9}, {
  3.449496355046875*^9, 3.449496359484375*^9}}]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowSize->{615, 750},
WindowMargins->{{98, Automatic}, {57, Automatic}},
ShowSelection->True,
FrontEndVersion->"6.0 for Microsoft Windows (64-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 135, 1, 77, "Subtitle"],
Cell[728, 26, 376, 7, 29, "Text"],
Cell[1107, 35, 1152, 30, 152, "Input"],
Cell[2262, 67, 1720, 40, 92, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
