(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4189,        125]
NotebookOptionsPosition[      3770,        106]
NotebookOutlinePosition[      4133,        122]
CellTagsIndexPosition[      4090,        119]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Example program for use with the DebugTrace package", "Subtitle",
 CellChangeTimes->{{3.44277864534375*^9, 3.44277866853125*^9}}],

Cell["\<\
Note that the following code is neither optimal nor bug free \[Dash] it is \
simply meant to illustrate the DebugTrace package. It computes Legendre \
polynomials using the 3-term recurrence relation. These polynomials can, of \
course be computed directly using LegendreP.\
\>", "Text",
 CellChangeTimes->{{3.4427786893125*^9, 3.442778732703125*^9}, {
  3.44295067103125*^9, 3.442950672078125*^9}, {3.44301768875*^9, 
  3.443017774328125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"output", "=", 
    RowBox[{"Table", "[", 
     RowBox[{"0", ",", 
      RowBox[{"{", "9", "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CalculateLegendre", "[", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "n", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"P", "[", "0", "]"}], "=", "1"}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"P", "[", "1", "]"}], "=", "x"}], ";", "\[IndentingNewLine]", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"n", "=", "2"}], ",", 
        RowBox[{"n", "\[LessEqual]", "10"}], ",", 
        RowBox[{"n", "++"}], ",", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{
         "This", " ", "applies", " ", "the", " ", "recurrence", " ", 
          "relation"}], " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"P", "[", "n", "]"}], "=", 
          RowBox[{"Expand", "[", 
           RowBox[{"Simplify", "[", 
            RowBox[{
             RowBox[{"1", "/", "n"}], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"2", "n"}], "-", "1"}], ")"}], "x", " ", 
                RowBox[{"P", "[", 
                 RowBox[{"n", "-", "1"}], "]"}]}], "-", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"n", "-", "1"}], ")"}], 
                RowBox[{"P", "[", 
                 RowBox[{"n", "-", "2"}], "]"}]}]}], ")"}]}], "]"}], "]"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"output", "[", 
           RowBox[{"[", "n", "]"}], "]"}], "=", 
          RowBox[{"P", "[", "n", "]"}]}], ";"}]}], "\[IndentingNewLine]", 
       "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.44277894878125*^9, 3.442779128609375*^9}, {
  3.44277920103125*^9, 3.442779232515625*^9}, {3.442950240875*^9, 
  3.44295037025*^9}, {3.4430178154375*^9, 3.443017835125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CalculateLegendre", "[", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "output", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"output", "/.", 
   RowBox[{"x", "\[Rule]", "0"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4427791415*^9, 3.4427791463125*^9}, 
   3.442950288921875*^9, {3.4429505699375*^9, 3.44295058425*^9}}]
}, Open  ]]
},
WindowSize->{615, 750},
WindowMargins->{{240, Automatic}, {-45, Automatic}},
ShowSelection->True,
FrontEndVersion->"6.0 for Microsoft Windows (64-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 135, 1, 77, "Subtitle"],
Cell[728, 26, 454, 8, 65, "Text"],
Cell[1185, 36, 2156, 56, 232, "Input"],
Cell[3344, 94, 410, 9, 72, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
